*{
    box-sizing: border-box;
}

body{
    font-family: monospace;
    margin: 0;
    background: rgb(221, 202, 202);
    display: grid;
    place-content: center;
    min-height: 100vh;
    padding: 25px;
    font-size: 20px;
}

.keyboard_wrapper{
    width: 740px;
    padding: 25px;
    border-radius: 15px;
    box-shadow: -4px -4px 8px darkgrey, 4px 4px 8px #0002;
    background-color: #9ea8e5;
    background-image: linear-gradient(315deg, #9ea8e5 0%, #c3cbfd 74%);
}

.keyboard_wrapper .display{
    background-color: #c0c6ff;
    position: relative;
    font-size: 18px;
    font-family: inherit;
    height: 150px;
    border-radius: 15px;
    padding: 20px;
    overflow: hidden;
    overflow-y: auto;
    border: 2px inset white;
    white-space: pre-wrap;
    box-shadow: inset 2px 2px 5px #0002, inset -2px -2px 5px #fff;
}

.keyboard_wrapper .display::before{
    content: "";
    display: inline-block;
    height: 100%;
    width: 100%;
    background-image: linear-gradient(45deg, #ffffff52, #0000001a);
    position: absolute;
    left: 0;
    top: 0;
}

.keyboard_wrapper .key{
    margin-top: 20px;
    text-transform: lowercase;
    user-select: none;
}

.keyboard_wrapper .key .row{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    gap: 20px;
}

.keyboard_wrapper .key .row span{
    width: 50px;
    height: 50px;
    display: grid;
    place-content: center;
    border-radius: 8px;
    box-shadow: 3px 3px 6px #0002, -3px -3px 6px #fff;
    cursor: pointer;
    border: 1px solid transparent;
    transition: 0.3s;
    
}

.keyboard_wrapper .key .row span.caps,
.keyboard_wrapper .key .row span.backspace{
    width: calc(50px * 1.6);
    display: flex;
    gap: 5px;
    align-items: center;
}


.keyboard_wrapper .key .row span.space{
    width: calc(50px * 9.4);
}

.keyboard_wrapper .key .row span.active,
.keyboard_wrapper .key .row span:hover{
    color: white;
}

.keyboard_wrapper .key .row span.active,
.keyboard_wrapper .key .row span:active{
    box-shadow: inset 3px 3px 6px #0002, inset -3px -3px 6px #fff;
}

.keyboard_wrapper .key.uppercase{
    text-transform: capitalize;
}